# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kauth': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/kglobalaccel': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kidletime': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kjobwidgets': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/solid': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6' # kcmutils_generate_desktop_file
    'plasma/plasma-workspace': '@same'
    'plasma/libkscreen': '@same'
    'plasma/plasma-activities': '@latest-kf6' # Different branch scheme due to formerly being a Framework

RuntimeDependencies:
- 'on': ['Linux']
  'require':
    'sdk/selenium-webdriver-at-spi': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
